#
# Conditional build:
%bcond_with	manx	# "x" suffix for manpage files
# NOTE: FHS 2.3 says that X man pages must have .[1-8]x extensions;
# but has been dropped in Xorg upstream and requires sed fixes to generate proper .so refs
# (to point to man[1-8] dirs, not man[1-8]x)
#
Summary:	Autoconf macros for xorg
Summary(pl.UTF-8):	Makra autoconfa dla xorg
Name:		xorg-util-util-macros
Version:	1.19.0
Release:	2
License:	MIT
Group:		X11/Development/Tools
Source0:	http://xorg.freedesktop.org/releases/individual/util/util-macros-%{version}.tar.bz2
# Source0-md5:	1cf984125e75f8204938d998a8b6c1e1
Patch0:		%{name}-x.patch
Patch1:		%{name}-nosilent.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake
BuildRequires:	rpmbuild(macros) >= 1.446
Requires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a set of autoconf macros used by the configure.ac scripts in
other Xorg modular packages, and is needed to generate new versions of
their configure scripts with autoconf.

%description -l pl.UTF-8
Ten pakiet zawiera makra autoconfa używane przez skrypty configure.ac
w innych pakietach modularnego Xorg. Jest wymagany do generowania
nowych wersji skryptów configure przy użyciu autoconfa.

%prep
%setup -q -n util-macros-%{version}
%{?with_manx:%patch0 -R -p1}
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%{_datadir}/util-macros
%{_aclocaldir}/xorg-macros.m4
%{_npkgconfigdir}/xorg-macros.pc
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-util-util-macros.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> eb96bcd
- x32 rebuild
- release 2 (by relup.sh)

* Fri Mar 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 3d403e3
- updated to 1.19.0

* Wed Dec 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ffa7a3
- up to 1.18.0

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 6a1ce63
- updated to 1.17.1
- make (man)x patch (b)conditional to choose between Xorg upstream and FHS 2.3 layout

* Mon May 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 1223ff3
- Revert "remove man3x from from xorg-macros.m4"

* Mon Mar 04 2013 Elan Ruusamäe <glen@delfi.ee> eb3559e
- remove man3x from from xorg-macros.m4

* Wed Mar 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 380a393
- updated to 1.17

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d172eb0
- up to 1.16.2

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f80c4b6
- up to 1.16.1

* Wed Dec 07 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 925ebde
- up to 1.16.0

* Fri Jun 24 2011 Jakub Bogusz <qboosh@pld-linux.org> f02d2f3
- updated to 1.15.0

* Sun May 29 2011 Jakub Bogusz <qboosh@pld-linux.org> 015935d
- updated to 1.14.0

* Tue Mar 15 2011 Jakub Bogusz <qboosh@pld-linux.org> a8e6415
- updated to 1.13.0

* Sat Feb 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3dae860
- up to 1.12.0

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> b8d138b
- dropped pre-cvs changelog

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> d9cf697
- updated to 1.11.0

* Fri Sep 24 2010 Jakub Bogusz <qboosh@pld-linux.org> a9a35e2
- updated to 1.10.1

* Tue Jun 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d71dfc
- up to 1.10.0

* Wed Jun 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3175e20
- up to 1.9.0

* Sun May 30 2010 Jakub Bogusz <qboosh@pld-linux.org> d71bdac
- updated to 1.8.0

